commit: 9b73ac8635c6a20139595f38773d902a28c69b84
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 26 04:25:57 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb 26 04:41:40 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b73ac86
dev-python/tempest: Bump to 46.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/tempest/Manifest | 1 +
dev-python/tempest/tempest-46.1.0.ebuild | 77 ++++++++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/dev-python/tempest/Manifest b/dev-python/tempest/Manifest
index b4e1a381d5ee..e392073e73c4 100644
--- a/dev-python/tempest/Manifest
+++ b/dev-python/tempest/Manifest
@@ -1 +1,2 @@
DIST tempest-46.0.0.tar.gz 1172210 BLAKE2B
76ebb5a5914de0cd78b737411ee38df6f349d31f3f253f184bd3ad7bf03db5c5c1139e97758edcf22702249d6a2799b66be09bd69256048397fa18d76b277efd
SHA512
d6e6247f3bb4a9b5fc465c0c5d6c64aa7335a417a6614a9ae61e55d6b6a02423ebcab34867427b7b92c749d465374bb82b9915dff4e3748201b0c5e4844f402e
+DIST tempest-46.1.0.tar.gz 1180586 BLAKE2B
1639df90a10382fd4e8cec0684280fabeacb31e35835b3ed8bee553af3b8c2d757e1614fc2482f05215fff9b2a3ed5dc797a59389859cbf79f5b6b49d2023034
SHA512
d0babe574407d6d35c84926ef5adf09ad46b159aafbb4b1ec38a1debf8a4352d3e21bbd6bf5b0917541a646bd1f6061f5d4da748d602a903cf623f2afe6f0634
diff --git a/dev-python/tempest/tempest-46.1.0.ebuild
b/dev-python/tempest/tempest-46.1.0.ebuild
new file mode 100644
index 000000000000..c971dc63cfbd
--- /dev/null
+++ b/dev-python/tempest/tempest-46.1.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..13} )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="OpenStack Integration Testing"
+HOMEPAGE="
+ https://pypi.org/project/tempest/
+ https://docs.openstack.org/tempest/latest/
+ https://launchpad.net/tempest/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/paramiko-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
+ >=dev-python/python-subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/prettytable-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ dev-python/stestr[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # Small subset of tests, which fail as result of not using specific
+ # testing environment.
+ rm -r tempest/tests/lib/services/volume/v3/ || die
+
+ # remove dep on hacking
+ rm tempest/tests/test_hacking.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ mv "${BUILD_DIR}"/install/{usr/,}etc || die
+}
+
+python_test() {
+ local -x OS_LOG_CAPTURE=1 OS_STDOUT_CAPTURE=1 OS_STDERR_CAPTURE=1
+ local -x OS_TEST_TIMEOUT=300
+ stestr --test-path ./tempest/tests run --concurrency="$(makeopts_jobs)"
||
+ die "Tests failed for ${EPYTHON}"
+}